/**
 * Created by marz_lin on 16/03/03.
 */

var TestSlotGameScene = cc.Scene.extend({
    onEnter: function () {
        this._super();
        this._loadGame();
    },
    _loadGame: function () {
        var _loadingCallback = function () {
            //Handle for quick access to Cocos2D's implementation of Local Storage:
            var ls = cc.sys.localStorage;
            var accountName = "mobile04#esb";
            var password = "asd123";
            if (!cc.sys.isNative)
                accountName = "mobile05#esb";
            var domainListKey = "domainListKey";
            var data = ls.getItem(accountName);
            var domainList = ls.getItem(domainListKey);

            var _login = 0;
            CYAPIHelper.proxyCORS = "192.168.152.164:8081/";
            //cc.director.runScene(new UpdateAssetSlotGameScene(customSlotGame));

            if (data && domainList) {
                cy.userInfo.sid = data;
                cy.userInfo.domainList = JSON.parse(domainList);
                CYAPIHelper.checkSID(function (success) {
                    if (_login) {
                        debugPrint(cy.userInfo.sid);
                        cc.director.runScene(new UpdateAssetSlotGameScene(customSlotGame));
                    } else {
                        ls.removeItem(accountName);
                        ls.removeItem(domainListKey);
                        _loadingCallback();
                    }
                });
            } else {
                CYAPIHelper.login({account: accountName, passwd: password}, function () {
                    ls.setItem(accountName, cy.userInfo.sid);
                    ls.setItem(domainListKey, JSON.stringify(cy.userInfo.domainList));
                    cc.director.runScene(new UpdateAssetSlotGameScene(customSlotGame));
                }, function (errorCode) {
                    debugPrint("Login Fail " + errorCode);
                });
            }
        };

        var _loadFishBattleCallBack = function(){

            cy.currentWorkingDirectory = "";
            var self = this;
            this._slotGame = getSlotGameName(customSlotGame);
            var _loadingCallback = function () {

                res = fb.res;

                cy.preLoadScene([
                    {LoadBlock: [self._slotGame + "GameScene"], Res: res}
                ], function () {
                    cy.sceneManager.replaceSceneWithInstance(new MainTestScene, true, 0.3);
                }, this);

            };

            cy.loadJsList("SlotGames/FishBattle/", "CYPackage.json", function () {
                _loadingCallback();
            });
        };

        console.log("Start Loading");
        //載入SDK熱更新檔案
        cy.loadJsList(cy.path.sdk, "CYPackage.json", function () {
            //載入大廳公版熱更新檔案
            if (cc.sys.isNative) {
                cy.loadJsList(cy.path.platformTemplate, "CYPackage.json", function () {
                    //cy.loadJsList(cy.path.videoTemplateBgm, "CYPackage.json", function () {
                    if (customSlotGame == "5099") _loadFishBattleCallBack();
                    else _loadingCallback();
                    //});
                });
            } else {
                cy.loadJsList(cy.path.sdk, "CYHTMLPackage.json", function () {
                    cy.loadJsList(cy.path.platformTemplate, "CYPackage.json", function () {
                        if (customSlotGame == "5099") _loadFishBattleCallBack();
                        else _loadingCallback();
                    });
                });
            }
        });
    }
});
