/**
 * Created by James on 2016/5/6.
 */

var G2EWebLoginScene = cc.Scene.extend({
    onEnter: function () {
        this._super();
        this._loadGame();
    },
    _loadGame: function () {
        var _loadingCallback = function () {
            cc.director.setLandscape();
            cc.loaderScene.resetLoadingLayer(new cy.sceneManager.LoadingLayerClass());
            cc.loaderScene.resizeContentSize(cc.size(RESOLUTIONSIZE.WIDTH, RESOLUTIONSIZE.HEIGHT));

            cy.preLoadScene([
                {LoadBlock: ["LoginLayer"], Res: pt.res},
                {LoadBlock: ["GetPasswordLayer"], Res: pt.res}
                //{LoadBlock: ["SDK"], Res:cy.res}
            ], function () {

                //var transitionScene = new cc.TransitionFade(0.3, new MainScene());
                var transitionScene = new cc.TransitionFade(0.3, new TempLogin());
                cc.director.runScene(transitionScene);
            }, this);
        };
        //載入SDK熱更新檔案
        cy.loadJsList(cy.path.sdk, "CYPackage.json", function () {
            //載入大廳公版熱更新檔案
            if (cc.sys.isNative) {
                cy.loadJsList(cy.path.platformTemplate, "CYPackage.json", function () {
                    _loadingCallback();
                });
            } else {
                cy.loadJsList(cy.path.sdk, "CYHTMLPackage.json", function () {
                    cy.loadJsList(cy.path.platformTemplate, "CYPackage.json", function () {
                        _loadingCallback();
                    });
                });
            }
        });
    }
});