/**
 * Created by kingsley_lee on 16/1/15.
 */
var UnitTestScene = cc.Scene.extend({
    onEnter: function(){
        cc.log("UnitTestScene");
        this.loadUnitTest();
    },
    loadUnitTest: function () {

        var self = this;
        //載入SDK熱更新檔案
        cy.loadJsList(cy.path.sdk, "CYPackage.json", function () {
            //載入大廳公版熱更新檔案
            cy.loadJsList(cy.path.platformTemplate, "CYPackage.json", function () {
                //self.sqliteTest();
                //self.webviewBBSportTest();
                //self.rd1UtilsTest();
                //self.wxPayTest();
                //self.apiTest();
                //self.italkingPlugTest();
                //self.authTest();
                //self.errorTest();
                //self.downloadTest();
                //self.playMusicTest();
                //self.balanceTest();
                //self.privilegeUtilsTest();
                //self.umengTest();
                //self.dinPayTest();
                self.qrcodeTest();
            });
        });
    }
});

UnitTestScene.prototype.sqliteTest = function(){

    var successCallback = function(data){
        debugPrint("successCallback");
        //debugPrint(data);
        AppAttributeRepository.create(data);

        var packageInfoList = PackageInfoRepository.getPackageInfoList();

        var videoList = PackageInfoRepository.getListByCategoryType(PackageInfoRepository.CATEGORY_TYPE.VIDEO_GAME);
        //debugPrint(videoList);

        //debugPrint(packageInfoList);

        var hotRecommandApps = AppAttributeRepository.getHotRecommendApps();
        var shareApps = AppAttributeRepository.getShareApps();
        var newArrivalApps = AppAttributeRepository.getNewArrivalApps();
        //debugPrint(newArrivalApps);

        //var joinList = PackageInfoRepository.joinByAppProductId(shareApps);
        //    debugPrint(joinList);

        cy.userInfo.vendorCode = "bin";
        var sqliteWrapper = SQLiteDAOWrapper.getInstance();

        //查詢資料
        //var list = appsInfDAO.selectAll();
        //var queryResult2 = Enumerable.From(list)
        //    //.Where("$.HitCount < 1")
        //    .Where("$.CreationDate < " + new Date().toString('yyyyMMddhhmmss'))
        //    .OrderByDescending("$.HitCount")
        //    //.Select("$.DomainCode")
        //    .ToArray();
        //
        //建立appInfo的資料
        var addAppsInfo = function(){
            sqliteWrapper.addAppsInfo(packageInfoList);
        }
        //建立新發布app的資料
        var addNewArrivalApp = function(){
            sqliteWrapper.addNewArrivalGame(newArrivalApps);
        }

        //取得視訊遊戲的資料,以點擊數排序(Desc)
        var getBBLiveOrderList = function(){
            return sqliteWrapper.getBBLiveOrderList();
        }

        //取得機率遊戲的資料,以點擊數排序(Desc)
        var getBBCasinoOrderList = function(){
            return sqliteWrapper.getBBCasinoOrderList();
        }

        //取得新發佈的遊戲
        var getNewArrivalGame = function(){
            return sqliteWrapper.getNewArrivalGame();
        }
        //取得視訊遊戲顯示紅點的資料
        var getBBLiveShowRedPointList = function(){
            return sqliteWrapper.getBBLiveShowRedPointList();
        }

        //取得機率遊戲顯示紅點的資料
        var getBBCasinoShowRedPointList = function(){
            return sqliteWrapper.getBBLiveShowRedPointList();
        }

        //增加App的點擊數
        var addAppHit = function(appProductId){
            return sqliteWrapper.addAppHit(appProductId);
        }

        //var list = sqliteWrapper.getBBLiveNewArrivalGame();
        //var list = sqliteWrapper.getAppsInfoList();

        addAppsInfo();
        addAppsInfo();
        //addNewArrivalApp();
        //var list = getNewArrivalGame();
        //var list = getBBLiveOrderList();
        //var list = getBBCasinoOrderList();

        //debugPrint(list);
    }

    var errorCallback = function(errorCode){
        debugPrint("errorCallback");
        debugPrint(errorCode);
    }

    CYAPIHelper.isTest = true;
    CYAPIHelper.fetchRD3AppPackages("bin",function(data){
        PackageInfoRepository.create(data);
        CYAPIHelper.fetchRD3HotRecommendApp("bin",successCallback,errorCallback);
    },function(){

    });

}

UnitTestScene.jsCallbackTest = function(text){
    cc.log(text);
}

UnitTestScene.prototype.webviewBBSportTest = function(){

    var webviewKey = 'BBSports';
    var url = "http://test.04vip.com/m";

    var sid = "a35d6a93z2bh226ccz1he860bez2g30014z2042";
    var mGameName = "BBSports";
    var domain = ".04vip.com";
    var domainUrl = "test.04vip.com";

    if(CYPluginManager.WebViewUtils.isAlive(mGameName)==0){
        CYPluginManager.WebViewUtils.create(0, 0, 568, 296, webviewKey);
        CYPluginManager.WebViewUtils.setCookie(domain, "/", "SESSION_ID", sid, mGameName);
        CYPluginManager.WebViewUtils.setCookie(domain, "/", "m_lang", "en", mGameName);
        CYPluginManager.WebViewUtils.setCookie(domain, "/", "lang", "en", mGameName);

        if(cc.sys.os === cc.sys.OS_ANDROID){
            CYPluginManager.WebViewUtils.loadUrl("http://" + domainUrl + "/m/", "a0001.2", mGameName);
        }else{
            CYPluginManager.WebViewUtils.loadUrl("http://" + domainUrl + "/m/", "i0001.2", mGameName);
        }

        //CYPluginManager.WebViewUtils.loadUrl("http://ismart." + domain + "/Deposit_ProcessLogin.aspx?st=" + sid + "&lang=" + "ch", "i0000", mGameName);
        CYPluginManager.WebViewUtils.loadUrl("http://" + domainUrl + "/m/", "a0001.2", mGameName);
    }
    CYPluginManager.WebViewUtils.reigsterJSHandler("UnitTestScene.jsCallbackTest", mGameName);
    CYPluginManager.WebViewUtils.setVisibleWithKey(mGameName,1);
}

UnitTestScene.prototype.rd1UtilsTest = function(){
    var domainCode = "esb";
    var domainName = "es.esb110.com";
    var sid = "abefde25f7b235843640203797ee52dc23b927b5";

    var userInfo = {};
    userInfo.vendorCode = domainCode;
    userInfo.domainList = [domainName];
    userInfo.sid = sid;

    cy.userInfo = userInfo;

    CYAPIHelper.isTest = true;

    //var uid = RD1Utils.getUIDEncrypt("Gb5214c6zakeb61dz8o3bobbzd3nd2jz032");
    //debugPrint(uid);

    //RD1Utils.RD1CheckBankSetFirst(domainName,sid,function(data){
    //    debugPrint(data);
    //},function(errCode){
    //    debugPrint(errCode);
    //});
    //RD1Utils.fetchRD1AdsBannerInfo(userInfo,function(data){
    //    debugPrint(data);
    //},function(errCode){
    //    debugPrint(errCode);
    //});

    //RD1Utils.fetchAccountData(domainName,domainCode,sid,function(data){
    //    debugPrint(data);
    //},function(errCode,msg){
    //    debugPrint(errCode);
    //    debugPrint(msg);
    //});

    //========================== 會員中心API ==========================
    //RD1Utils.fetchDepositInit(function(data){
    //
    //},function(code,message){
    //    debugPrint(code);
    //    debugPrint(message);
    //});

    RD1Utils.fetchCreditConversionStatus(domainName,domainCode,sid,function(data){

    },function(code,message){
        debugPrint(code);
        debugPrint(message);
    })


}

var WeChatRespEventHandler = function(errCode){

    //cc.log("xxxxxx ");
    //cc.log("WeChatRespEventHandler " + errCode);
    errCode = parseInt(errCode);
    var msg = "";
    switch (errCode){

        case 0:
            msg = "0";
            break;

        case -1:

            msg = "-1";
            break;

        case -2:

            msg = "-2";
            break;
        case -3:

            msg = "-3";
            break;
        case -4:

            msg = "-4";
            break;
        case -5:
            msg = "-5";
            break;

    }

    cc.log("WeChatRespEventHandler " + msg);
}

UnitTestScene.prototype.wxPayTest = function(){

    var mobile008binUserId = 92474254;
    var mobile08binUserId = 64144563;
    var phpTest1UserId = 27865;
    var allin888UserId = 37422723;
    var bbcyc159UserId = 47073086;
    var rmbjoncasinoUserId = 86574844;

    var userIp = "127.0.0.1";

    //可用付款廠商
    //WeChatPayUtils.getVendor(mobile008binUserId,userIp,function(ret){
    //    debugPrint(ret);
    //},function(errorCode){
    //    debugPrint(errorCode);
    //});

    //取得優惠設定
    //WeChatPayUtils.getUserOfferParams(mobile008binUserId,function(ret){
    //    debugPrint(ret);
    //},function(errorCode){
    //    debugPrint(errorCode);
    //});


    var amount = 50;
    var paymentVendorId = "1085";
    var lang = "zh-cn";
    var abandonOffer = "1";

    CYAPIHelper.isTest = true;
    //入款
    WeChatPayUtils.deposit(rmbjoncasinoUserId,amount,paymentVendorId,userIp,lang,abandonOffer,function(ret){
        debugPrint(ret);
    },function(errorCode){
        debugPrint(errorCode);
    });


    //var _partnerId = "111";
    //var _prepayId = "111";
    //var _package = "111";
    //var _nonceStr = "afds";
    //var _timeStamp = "1212";
    //var _sign = "11";
    //
    //var ddd = CYPluginManager.WeChatPay.sendRequest(_partnerId, _prepayId, _package, _nonceStr, _timeStamp, _sign);
}

UnitTestScene.prototype.apiTest = function(){

    CYAPIHelper.isTest = true;
    var sid = "2bfab5bb460f870b9e6151da2cac5912fdec3721";
    CYAPIHelper.fetchGameSwitchByUser(sid,function(data){

        _.each(data,function(element){
            cy.userInfo.lobby["Lobby" + element['GameKind']] = element['Switch'];
        });
        //cy.userInfo.lobby["Lobby"];
        debugPrint(cy.userInfo);


        debugPrint(data);
    },function(errCode){
        debugPrint(errCode);
    });

    cc.log("apiTest");
}

UnitTestScene.prototype.italkingPlugTest = function(){


    //CYPluginManager.AudioRecorderUtils.uploadAudio(host,serviceId,guestId);

    CYPluginManager.AudioRecorderUtils.beginRecord();

    setTimeout(function(){
        CYPluginManager.AudioRecorderUtils.finishRecord();

    },1000);
}

// ====================== italking callback ======================


var onFinishRecorded = function(){

    cc.log("onFinishRecorded ");

    var host = "test.italking.asia";
    var serviceId = "qwerty";
    var guestId = "xh_JZELK6XRGm4MIlGUE";
    var uploadAudioURL = "https://"+host+"/fileUploadApi.php";

    cc.log(uploadAudioURL);

    CYPluginManager.AudioRecorderUtils.uploadAudio(serviceId,guestId,uploadAudioURL);
}

var onUploadRecordSuccess = function(fileName){
    cc.log("onUploadRecordSuccess " + fileName);
}

var onUploadRecordFail = function(errMsg){
    cc.log("onUploadRecordFail");
    cc.log(errMsg);
}

var SocketEventHandler = function(event){
    cc.log(event);
}

// ==================================================================
UnitTestScene.prototype.apiTest = function(){

    CYAPIHelper.isTest = true;
    var sid = "2bfab5bb460f870b9e6151da2cac5912fdec3721";
    CYAPIHelper.fetchGameSwitchByUser(sid,function(data){

        _.each(data,function(element){
            cy.userInfo.lobby["Lobby" + element['GameKind']] = element['Switch'];
        });
        //cy.userInfo.lobby["Lobby"];
        debugPrint(cy.userInfo);


        debugPrint(data);
    },function(errCode){
        debugPrint(errCode);
    });

    cc.log("apiTest");
}

UnitTestScene.prototype.authTest = function(){

    var appId = CYPluginManager.AppCtrlUtils.getUUID();

    //B0200A1C-5E53-4FBF-A8FD-CB35D8DC789C
    cc.log(appId);

    CYAPIHelper.getAuthKey(appId,function(data){
        debugPrint(data);

        var authKey = data['authentication_key'];
        var secretId = data['secret_id'];

        var secretKey = md5("BBStore" + new Date().toString('yyyyMMdd'));
        var isAuth = md5(appId + secretKey + secretId) == authKey;
        cc.log(isAuth);

    },function(errCode){
        debugPrint(errCode);
    });
};

UnitTestScene.prototype.errorTest = function() {
    cc.log("errorTest");

    var errMsg = CYErrorCodeHandler.getErrorData("afsdfs");

    if(errMsg.errorMsg==null){
        debugPrint("xxxsvcd");
        //debugPrint(errMsg.errorMsg);
    }

};

UnitTestScene.prototype.downloadTest = function() {

    //var fileName = "livefile.mp3";
    //var host = "localhost";
    //var audioPath = "/";
    //CYPluginManager.AudioRecorderUtils.downloadFile(fileName,host,audioPath);

    var path = jsb.fileUtils.getWritablePath() + "Italking/";
    var oldName = "record.mp3";
    var newName = "neeeeeeee.mp3";
    var success = jsb.fileUtils.renameFile(path,oldName,newName);
    if(success){
        cc.log("success");
    }else{
        cc.log("fail");
    }
};

UnitTestScene.prototype.playMusicTest = function() {


    //var audioEngine  = jsb.AudioEngine;
    //var audioId = audioEngine.play2d("res/bgm01.mp3");
    //audioEngine.setFinishCallback(audioId,function(){
    //    cc.log("播放結束")
    //});

    //jsb.AudioEngine.stopAll();
    //
    //var audioId = jsb.AudioEngine.play2d("res/bgm01.mp3");
    //jsb.AudioEngine.setFinishCallback(audioId,function(){
    //    cc.log("播放結束")
    //});
    //jsb.AudioEngine.stopAll();
    //
    //
    //var audioId = jsb.AudioEngine.play2d("res/bgm01.mp3");
    //
    //jsb.AudioEngine.setFinishCallback(audioId,function(){
    //    cc.log("播放結束")
    //});
    //jsb.AudioEngine.stopAll();
    //
    //var audioId = jsb.AudioEngine.play2d("res/bgm01.mp3");
    //jsb.AudioEngine.setFinishCallback(audioId,function(){
    //    cc.log("播放結束")
    //});
    //jsb.AudioEngine.stopAll();


    var audioId = jsb.AudioEngine.play2d("res/bgm01.mp3");
};

UnitTestScene.prototype.balanceTest = function() {

    var meLangTable = pt.localization.getLocalizeTableWithCategory(pt.localization.Me);
    //轉換餘額的多語系文字
    var balanceLocalization = function(key){

        var displayStr = "";

        if(key == "balance"){
            displayStr = meLangTable.BBINBalance;
        }else if(key == "sp_balance"){
            displayStr = meLangTable.SportBetBalance;
        }else if(key == "ag_balance"){
            displayStr = meLangTable.AGBalance;
        }else if(key == "ab_balance"){
            displayStr = meLangTable.ABBalance;
        }else if(key == "mg_balance"){
            displayStr = meLangTable.MGBalance;
        }else if(key == "og_balance"){
            displayStr = meLangTable.OGBalance;
        }else if(key == "sb_balance"){
            displayStr = meLangTable.SBBalance;
        }else if(key == "gd_balance"){
            displayStr = meLangTable.GDBalance;
        }else{
            displayStr = key;
        }

        return displayStr;
    };

    var balanceAdapter = new BalanceAdapter();
    var mobile008binUserId = 92474254;
    balanceAdapter.fetchBalanceInfo(mobile008binUserId ,function(balanceList){

        debugPrint(balanceList);

        var onlyBalanceList = {};
        var sum = 0;

        _.each(balanceList,function(value,key){
            if(key.indexOf("balance")>-1 && value!="-"){

                var balance = parseFloat(value);

                if(balance>=0){
                    sum += balance;
                    balance = balance.numberFormat(2);
                }else{
                    balance = value;
                }
                onlyBalanceList[balanceLocalization(key)] = balance;
            }
        });

        debugPrint(onlyBalanceList);
        debugPrint(sum);
        debugPrint(9678.9678.numberFormat(2));
    });
};

UnitTestScene.prototype.privilegeUtilsTest = function() {

    var fragmentToLobbyMap = {

        'BBLiveFragment':'Lobby' + GameKind.VideoGame,
        'BBCasinoFragment':'Lobby' + GameKind.CasinoGame
    }

    var lobby =
    {
        Lobby1: "N",
        Lobby12: "N",
        Lobby15: "N",
        Lobby16: "N",
        Lobby17: "N",
        Lobby19: "Y",
        Lobby22: "N",
        Lobby23: "N",
        Lobby24: "N",
        Lobby25: "N",
        Lobby27: "Y",
        Lobby3: "N",
        Lobby4: "N",
        Lobby5: "N"
    }

    var aio2GameKind = [];
    _.each(fragmentToLobbyMap,function(vlaue,key){
        var isOpen = lobby[vlaue] == "Y";
        if(isOpen){
            aio2GameKind.push(vlaue);
        }
    });

    debugPrint(aio2GameKind);
    debugPrint(_.size(aio2GameKind)>0);

}

UnitTestScene.prototype.umengTest = function(){

    debugPrint("beginLogPageView");
    CYPluginManager.UmengUtils.beginLogPageView("pageName");

    debugPrint("endLogPageView");
    CYPluginManager.UmengUtils.endLogPageView("pageName");

    debugPrint("sendEvent");
    CYPluginManager.UmengUtils.sendEvent(UmengEventKey.PageLoad,UmengPageLoadItems.TransMoney);
    //
    debugPrint("profileSignIn args1");
    CYPluginManager.UmengUtils.profileSignIn("userId");

    debugPrint("profileSignIn args2");
    CYPluginManager.UmengUtils.profileSignIn("userId","provider");

    debugPrint("setUserLevel");
    CYPluginManager.UmengUtils.setUserLevel(1);

    debugPrint("pay arg3");
    CYPluginManager.UmengUtils.pay(1,1,1);

    debugPrint("pay arg5");
    CYPluginManager.UmengUtils.pay(1,1,"item",1,1);

    debugPrint("buy ");
    CYPluginManager.UmengUtils.buy("item",1,1);

    debugPrint("use ");
    CYPluginManager.UmengUtils.use("item",1,1);

    debugPrint("bonus args2 ");
    CYPluginManager.UmengUtils.bonus(1,1);

    debugPrint("bonus args4 ");
    CYPluginManager.UmengUtils.bonus("item",1,1,1);

    debugPrint("startLevel");
    CYPluginManager.UmengUtils.startLevel("Level");

    debugPrint("finishLevel");
    CYPluginManager.UmengUtils.finishLevel("Level");

    debugPrint("failLevel");
    CYPluginManager.UmengUtils.failLevel("Level");

}

UnitTestScene.prototype.dinPayTest = function(){

    var devUserId = 96576403;
    var mobilermb10UserId = 86575137;
    var userIp = "127.0.0.1";

    CYAPIHelper.isTest = true;
    //WeChatPayUtils.getVendor(mobilermb10UserId,userIp,function(data){
    //    debugPrint(data);
    //},function(){
    //
    //});
    //
    //WeChatPayUtils.getUserOfferParams(mobilermb10UserId,function(data){
    //    debugPrint(data);
    //},function(){
    //
    //});

    var paymentVendorId = 1094;//銀聯在線
    var userIp = "127.0.0.1";
    var lang = 'zh-cn';
    var abandonOffer = 0;
    var amount = 100;

    //WeChatPayUtils.deposit(mobilermb10UserId,amount,paymentVendorId,userIp,lang,abandonOffer,function(data){
    //    debugPrint(data);
    //    var params = data['params'];
    //    var orderInfo = JSON.stringify(params);
    //    debugPrint(orderInfo);
    //    CYPluginManager.dinPay.sendRequest(orderInfo,"UnitTestScene.dinPayCallback");
    //},function(errCode){
    //    debugPrint(errCode);
    //});

    //WeChatPayUtils.appCheck(entryId,function(data){
    //    debugPrint(data);
    //},function(errCode){
    //    debugPrint(errCode);
    //});


    var test = {"merchant_code":"2000288818","interface_version":"V3.0","notify_url":"http://pay.305565.com/pay/app_return.php","sign_type":"RSA-S","sign":"ts9AJGN6A3rdkcFtuiHH6RIqI0VbiT%2FyZgcNZXPFL%2F7diSU%2Bddx7LC03wWH7f%2BAMFwnglkXW3HWh72uIbxN6pQs%2FVznXaVRj1T4i9OMYhM6QvJWEIurLUQGdTp3%2FTNy%2FFqTNDUU9x%2FfnVaovhcRiG18ct%2FigUMJumx74frRZzxo%3D","order_no":"201607010111835133","order_time":"2016-07-01 16:32:55","order_amount":"100.00","product_name":"mobilermb10","redo_flag":"1"};
    var orderInfo = JSON.stringify(test);
    CYPluginManager.dinPay.sendRequest(orderInfo,"UnitTestScene.dinPayCallback");
}

UnitTestScene.dinPayCallback = function(result){
    debugPrint("dinPayCallback",result);
}

UnitTestScene.prototype.qrcodeTest = function(){
    CYPluginManager.QRCodeScannerUtils.getQRCodeString("UnitTestScene.QRCodeCallback");
}

UnitTestScene.QRCodeCallback = function(result){
    debugPrint("QRCodeCallback",result);
}
